$(function () {

    $('#frmEditar').form({
    	keyboardShortcuts: false,
    	fields: {
	      	nombre: {
		        rules: [{ type : 'empty', prompt : 'Complete este campo'}]
		    },
		    id_tipo_local: {
		        rules: [{ type : 'empty', prompt : 'Seleccione una opción'}]
		    },
		    direccion: {
		        rules: [{ type : 'empty', prompt : 'Complete este campo'}]
		    },
		    telefono: {
		    	rules: [{ type : 'empty', prompt : 'Complete este campo'}]
		       // rules: [{ type : 'number', prompt : 'Ingrese solo números'}]
		    },
    	},
    	inline : true,
  
    });

	$('.btn_guardar').on('click', function() {
		if ($('#frmEditar').form('is valid')) {
			$('#update_modal').modal({
  				closable: false,
		    	onApprove : function() {
		    		sendForm();
			    }
	  		}).modal('show'); 
		} else {
			$('#frmEditar').form('validate form');
		}
  	});
  	
	function sendForm() {

	    var data = $('#frmEditar').serialize();

        $.requestApi('/sucursal/actualizar', data, 'POST', function (resolve) {
	        if (resolve) {
	            $.showMessages(resolve);
	        }
	    });
        
        return false;
	};

});
